The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the List of Protected VM Hosts

Prev Next

This URL gets the list of protected VM hosts from the Manager based on cluster.

Resource URL

GET /cloud/cluster/<id>/getProtectedVMHosts

Request Parameters

URL Parameters

Field Name Description Data Type Mandatory
id Cluster id Number Yes

Payload Request Parameters

Field Name Description Data Type Mandatory
name Cluster name String Yes

Response Parameters

Following fields are returned:

Field Name Description Data Type
protectedVMHosts List of protected VM hosts with details Object

Details of fields under objects in protected VM hosts:

Field Name Description Data Type
hostname Name of the protected VM host. String
privateIP Private IP address of protected VM host String
publicIP Public IP address of protected VM host String
operatingSystem Operating system of protected VM host String
probeServiceStatus Online / offline String
probeActiveSince Time stamp from which the protected VM host is online. If NULL it implies VM host is offline (probe_status= false) String
probeVersion Version of the probe installed on protected VM host String
clusterName Cluster name under which this protected VM host is added. String
controllerIP IP address of the controle_server ( zCenter ) String
domainName Domain name of control of protected VM host String
awsInstanceId Unique id generated by AWS String

Example

Request

POST https://<NSM_IP>/sdkapi/cloud/cluster/101/getProtectedVMHosts

Payload

None

Response

{
"protectedVMHosts": [{
"hostname": "WIN-IPMU0PRS727",
"privateIP": "10.40.20.252",
"publicIP": "52.89.154.236",
"operatingSystem": "Windows Server 2012 R2 (build 9600), 64-bit",
"probeServiceStatus": true,
"probeActiveSince": "2017-04-13 14:04:27",
"probeVersion": "3.5.3-8(64-bit)",
"clusterName": "ClusterTwo",
"controllerIP": "35.166.195.169",
"domainName": "MyDomainOne",
“awsInstanceId”:”amazonGeneratedID1”
},
{
"hostname": "WIN-IPMU0PRS728",
"privateIP": "11.40.20.252",
"publicIP": "62.89.154.236",
"operatingSystem": "CentOSrelease6.8(Final)",
"probeServiceStatus": true,
"probeActiveSince": "8-04-1314: 04: 27",
"probeVersion": "4.5.3-8(64-bit)",
"clusterName": "ClusterOne",
"controllerIP": "45.166.195.169",
"domainName": "MyDomainTwo",
“awsInstanceId”:” amazonGeneratedID2”
}
]
} 
 

Error Information

None